Record app notification feedback

Learn how to use the App Integrations API to record app notification feedback from a seller.

You can use the App Integrations API to record the action that a seller takes after viewing an app notification.

Prerequisites

To complete this tutorial, you need:

Step 1. Retrieve the FeedbackActionCode

Call the recordActionFeedback operation.

❗

Warning

The parameters in the API request body must be the same as the parameters in your app notification template.

Request example

POST https://sellingpartnerapi-na.amazon.com/appIntegrations/2024-04-01/notificaitons/:notificationId/feedback
{
    "feedbackActionCode": "SELLER_ACTION_COMPLETED"
}

Response

A successful response includes the unique notification ID. For example:

Status code: 200
{
    "notificationId": "47f05db0-03fe-11ed-b939-0242ac120002"
}